cURL
curl --request PATCH \
--url https://api.maesn.dev/accounting/items/{itemId} \
--header 'Content-Type: application/json' \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"assetAccountId": "80",
"expenseAccountId": "81",
"incomeAccountId": "79",
"inventoryStartDate": "2021-01-01",
"itemNumber": "12345-A",
"name": "Handmade Plastic Chair",
"priceIncludesTax": true,
"stockCount": 11,
"taxCode": "TAX19",
"taxRatePercentage": 19,
"type": "PRODUCT",
"unitName": "PIECE",
"unitPurchasePrice": 10,
"unitSalesPrice": 20.5
}
'import requests
url = "https://api.maesn.dev/accounting/items/{itemId}"
payload = {
"assetAccountId": "80",
"expenseAccountId": "81",
"incomeAccountId": "79",
"inventoryStartDate": "2021-01-01",
"itemNumber": "12345-A",
"name": "Handmade Plastic Chair",
"priceIncludesTax": True,
"stockCount": 11,
"taxCode": "TAX19",
"taxRatePercentage": 19,
"type": "PRODUCT",
"unitName": "PIECE",
"unitPurchasePrice": 10,
"unitSalesPrice": 20.5
}
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-API-KEY': '<x-api-key>',
'X-ACCOUNT-KEY': '<x-account-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
assetAccountId: '80',
expenseAccountId: '81',
incomeAccountId: '79',
inventoryStartDate: '2021-01-01',
itemNumber: '12345-A',
name: 'Handmade Plastic Chair',
priceIncludesTax: true,
stockCount: 11,
taxCode: 'TAX19',
taxRatePercentage: 19,
type: 'PRODUCT',
unitName: 'PIECE',
unitPurchasePrice: 10,
unitSalesPrice: 20.5
})
};
fetch('https://api.maesn.dev/accounting/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "02c74e8a-b95b-ef11-bfe2-002248e5aac5",
"assetAccountId": "80",
"expenseAccountId": "81",
"incomeAccountId": "79",
"inventoryStartDate": "2021-01-01",
"itemNumber": "12345-A",
"lastModifiedDate": "2021-01-01T00:00:00Z",
"name": "Handmade Plastic Chair",
"priceIncludesTax": true,
"stockCount": 11,
"taxCode": "TAX19",
"taxRatePercentage": 19,
"type": "PRODUCT",
"unitName": "PIECE",
"unitPurchasePrice": 10,
"unitSalesPrice": 20.5
}
}Items
Patch item
PATCH
/
accounting
/
items
/
{itemId}
cURL
Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.Available options:
PRODUCT, SERVICEPath Parameters
Body
application/json
Example:
"80"
Example:
"81"
Example:
"79"
Example:
"2021-01-01"
Example:
"12345-A"
Example:
"Handmade Plastic Chair"
Example:
true
Example:
11
Example:
"TAX19"
Example:
19
Available options:
PRODUCT, SERVICE Example:
"PRODUCT"
Available options:
PIECE, STÜCK, NOT_UNIT, CUBIC_METRE, DAY, GRAM, HOUR, KILOGRAM, KILOMETRE, LITRE, METRE, MILLIGRAM, MILLILITRE, MONTH, NIGHT, PACK, PERCENTAGE, SQUARE_METRE, TONNE, UNIT Example:
"PIECE"
Example:
10
Example:
20.5
Last modified on July 9, 2026
Was this page helpful?
⌘I